<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="btnAcrossPageName">
  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    (click)="doImportData()"
    mbButtonText="{{'common.upload.upload' | translate}}"
    *ngIf="objFunction?.edit"
  >
  </mb-button>
</div>


<div class="content__item content__item--border bg__content--default">
  <acceptance-liquidation-search-form
    #searchForm
    (keyup.enter)='doSearch(1)'
    [showEmpStatus]="false"
    [nzLg]='nzLgSearchForm'
    [functionCode]="functionCode"
  ></acceptance-liquidation-search-form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>

    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)="doSearch(1)"
          mbButtonText="{{'staffManager.label.search' | translate}}"
          *ngIf="objFunction?.view"
        ></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)="doExportData()"
          *ngIf="objFunction?.view"
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>
</div>


<div class="search__result">
  <mb-table-wrap>
    <mb-table
      (changePageNum)='doSearch($event)'
      [tableConfig]='tableConfig' [tableData]='searchResult'></mb-table>
  </mb-table-wrap>
</div>

<acceptance-upload-file [showContent]='isImportData'
                        (onCloseModal)='doCloseImport($event)'>
</acceptance-upload-file>

<ng-template #empStatusTmpl let-empStatus='empStatus'>
  <ng-container *ngFor="let item of constant.STATUS_EMP">
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}"
            *ngIf="empStatus.toString() === item.value">{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>

<ng-template #uploadStatusTmpl let-acceptanceRecordId='acceptanceRecordId'>
    <nz-tag [nzColor]="constant.UPLOAD_STATUS[0].bgColor" [ngStyle]="{'color': constant.UPLOAD_STATUS[0].color}"
            *ngIf="!acceptanceRecordId">{{constant.UPLOAD_STATUS[0].label | translate}}</nz-tag>
    <nz-tag [nzColor]="constant.UPLOAD_STATUS[1].bgColor" [ngStyle]="{'color': constant.UPLOAD_STATUS[1].color}"
          *ngIf="acceptanceRecordId">{{constant.UPLOAD_STATUS[1].label | translate}}</nz-tag>
</ng-template>

<ng-template #attachFileTmpl let-attachFileList='attachFileList'>
  <ng-container *ngFor="let file of attachFileList">
    <a (click)='downloadFile(file)'>{{file?.fileName}} </a>
  </ng-container>
</ng-template>
